using SecuritySystemDataModels.Enums;
using SecuritySystemDataModels.Models;
using System.ComponentModel;

namespace SecuritySystemContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
        [DisplayName("Номер")]
        public int Id { get; set; }
        public int ClientId { get; set; }
        public int SecureId { get; set; }
        public int? ImplementerId { get; set; }
        [DisplayName("ФИО работника")]
        public string ImplementerFIO { get; set; } = string.Empty;
        [DisplayName("ФИО клиента")]
        public string ClientFIO { get; set; } = string.Empty;
        [DisplayName("Изделие")]
        public string SecureName { get; set; } = string.Empty;
        [DisplayName("Количество")]
        public int Count { get; set; }
        [DisplayName("Сумма")]
        public double Sum { get; set; }
        [DisplayName("Статус")]
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;
        [DisplayName("Дата создания")]
        public DateTime DateCreate { get; set; } = DateTime.Now;
        [DisplayName("Дата выполнения")]
        public DateTime? DateImplement { get; set; }
    }
}
